Skip to main content
POST
/
connectors
/
jobs
/
{id}
Update the connector job state
import requests

url = "https://{FUSION HOST}/api/connectors/jobs/{id}"

payload = { "state": "STOP" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/connectors/jobs/{id}")
.header("Content-Type", "application/json")
.body("{\n \"state\": \"STOP\"\n}")
.asString();
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({state: 'STOP'})
};

fetch('https://{FUSION HOST}/api/connectors/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/connectors/jobs/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"state\": \"STOP\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/connectors/jobs/{id}"

payload := strings.NewReader("{\n \"state\": \"STOP\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'state' => 'STOP'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION HOST}/api/connectors/jobs/{id} \
--header 'Content-Type: application/json' \
--data '
{
"state": "STOP"
}
'
{
  "resource": "datasource:pokedex-crawl",
  "runId": "R5p478JMgc",
  "startTime": 1722638217052,
  "state": "SUCCESS",
  "time": 1722638881861,
  "error": null,
  "extra": {
    "connectorType": "lucidworks.file-upload",
    "timers": {
      "fetch.item.add.time": {
        "meanRate": 1.363019818761208,
        "count": "901"
      }
    },
    "counters": {
      "fetch.plugin-response": {
        "count": 1
      },
      "fetch.plugin-response.document": {
        "count": 900
      },
      "content-indexer.completed.count": {
        "count": 900
      },
      "pipeline.stages.solr-index::180977ab-c1ef-4b31-be25-9fee41476ece.processed": {
        "count": 900
      },
      "start.plugin-response": {
        "count": 1
      },
      "content-indexer.result.success.counter": {
        "count": 900
      },
      "pipeline.out": {
        "count": 900
      },
      "pipeline.in": {
        "count": 900
      },
      "pipeline.stages.field-mapping::21cd50b7-f391-45f9-b936-5ab30c60c8d5.processed": {
        "count": 900
      },
      "pipeline.stages.solr-dynamic-field-name-mapping::ff72fc68-3576-4315-814c-65a63fc72780.processed": {
        "count": 900
      },
      "pipeline.complete": {
        "count": 900
      },
      "content-indexer.document.received.count": {
        "count": 900
      },
      "stop.request": {
        "count": 1
      },
      "stop.plugin-response": {
        "count": 1
      },
      "start.request": {
        "count": 1
      },
      "fetch.request": {
        "count": 1
      }
    },
    "configId": "pokedex-crawl",
    "currentBlockId": "2pd3ahxmh7",
    "startTime": 1722638217052,
    "id": "R5p478JMgc",
    "state": "FINISHED",
    "previousBlockId": "2pd3ahxmh7",
    "endTime": 1722638224964,
    "blockStartTime": 1722638216976
  }
}

Path Parameters

id
string
required

The datasource ID.

Query Parameters

abort
boolean
default:false

Set this to true to abort the job.

waitTime
integer<int64>
default:60000

The amount of time (in milliseconds) to wait for the update.

Body

application/json

The job's new state.

state
enum<string>
Available options:
START,
STOP
Example:

"START"

Response

200 - application/json

OK

extra
object
required

Additional details about the job run.

Example:
{
"extra": {
"counter.other.pipeline.in": 900,
"counter.new": 898,
"counter.output": 898,
"counter.other.pipeline.complete": 900,
"datasourceId": "pokemon_zip-api-test-app",
"counter.input": 898,
"startTime": 1722554920412,
"counter.stage.field-mapping::3b262367-a1ad-4872-986b-f7c01ac18580.processed": 898,
"endTime": 1722554921383,
"counter.stage.solr-dynamic-field-name-mapping::eac75719-84c4-4101-b605-bf386ce90790.processed": 898,
"counter.other.pipeline.out": 900,
"counter.stage.solr-index::f2b6427a-0560-478d-a722-1037831f83fe.processed": 898
}
}
resource
string
Example:

"datasource:pokemon_zip-api-test-app"

runId
string
Example:

"KtqiNJnAXN"

startTime
integer<int64>
Example:

1722554920412

state
enum<string>
Available options:
READY,
RUNNING,
PAUSED,
ABORTED,
FAILED,
SUCCESS
Example:

"SUCCESS"

time
integer<int64>
Example:

1722560849072

error
object | null
Example:

null